> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> GET /users

`GET /users`

Base URL: `https://crm.universal.rollout.com/api`

## Parameters

| Name     | In    | Type                      | Required |
| -------- | ----- | ------------------------- | -------- |
| `next`   | query | string                    | No       |
| `offset` | query | string(numeric) \| number | No       |
| `limit`  | query | string(numeric) \| number | No       |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/crm.json GET /users`


## OpenAPI

````yaml /openapi/crm.json GET /users
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /users:
    get:
      tags:
        - Users
      summary: List Users
      operationId: get_users
      parameters:
        - schema:
            type: string
          in: query
          name: next
          required: false
        - schema:
            anyOf:
              - format: numeric
                default: 0
                type: string
              - type: number
                anyOf:
                  - format: numeric
                    default: 0
                    type: string
                  - type: number
          in: query
          name: offset
          required: false
        - schema:
            anyOf:
              - format: numeric
                default: 0
                type: string
              - type: number
          in: query
          name: limit
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  users:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        firstName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                        phone:
                          type: string
                        role:
                          type: string
                        status:
                          type: string
                        timezone:
                          anyOf:
                            - type: string
                          nullable: true
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                        address:
                          anyOf:
                            - type: object
                              properties:
                                type:
                                  type: string
                                street:
                                  type: string
                                city:
                                  type: string
                                state:
                                  type: string
                                code:
                                  type: string
                                county:
                                  type: string
                                country:
                                  type: string
                              required:
                                - type
                                - street
                                - city
                                - state
                                - code
                                - country
                          nullable: true
                        username:
                          type: string
                        type:
                          type: string
                        offices:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                      required:
                        - id
                        - firstName
                        - lastName
                        - email
                        - phone
                        - role
                        - status
                        - timezone
                        - created
                        - updated
                        - rolloutUpdated
                        - originalIds
                        - original
                        - address
                        - username
                        - type
                        - offices
                      additionalProperties: false
                required:
                  - _metadata
                  - users
            multipart/form-data:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  users:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        firstName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                        phone:
                          type: string
                        role:
                          type: string
                        status:
                          type: string
                        timezone:
                          anyOf:
                            - type: string
                          nullable: true
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                        address:
                          anyOf:
                            - type: object
                              properties:
                                type:
                                  type: string
                                street:
                                  type: string
                                city:
                                  type: string
                                state:
                                  type: string
                                code:
                                  type: string
                                county:
                                  type: string
                                country:
                                  type: string
                              required:
                                - type
                                - street
                                - city
                                - state
                                - code
                                - country
                          nullable: true
                        username:
                          type: string
                        type:
                          type: string
                        offices:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                      required:
                        - id
                        - firstName
                        - lastName
                        - email
                        - phone
                        - role
                        - status
                        - timezone
                        - created
                        - updated
                        - rolloutUpdated
                        - originalIds
                        - original
                        - address
                        - username
                        - type
                        - offices
                      additionalProperties: false
                required:
                  - _metadata
                  - users
            text/plain:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  users:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        firstName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                        phone:
                          type: string
                        role:
                          type: string
                        status:
                          type: string
                        timezone:
                          anyOf:
                            - type: string
                          nullable: true
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                        address:
                          anyOf:
                            - type: object
                              properties:
                                type:
                                  type: string
                                street:
                                  type: string
                                city:
                                  type: string
                                state:
                                  type: string
                                code:
                                  type: string
                                county:
                                  type: string
                                country:
                                  type: string
                              required:
                                - type
                                - street
                                - city
                                - state
                                - code
                                - country
                          nullable: true
                        username:
                          type: string
                        type:
                          type: string
                        offices:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                      required:
                        - id
                        - firstName
                        - lastName
                        - email
                        - phone
                        - role
                        - status
                        - timezone
                        - created
                        - updated
                        - rolloutUpdated
                        - originalIds
                        - original
                        - address
                        - username
                        - type
                        - offices
                      additionalProperties: false
                required:
                  - _metadata
                  - users
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````